package io.github.thehrz.allmusicreload.core.command;

import io.github.thehrz.allmusicreload.core.AllMusic;
import io.github.thehrz.allmusicreload.core.utils.HudUtils;

public class CommandStop extends ACommand {
    @Override
    public void execute(Object sender, String name, String[] args) {
        AllMusic.side.clearHud(name);
        AllMusic.side.sendStop(name);
        HudUtils.clearHud(name);
        AllMusic.removeNowPlayPlayer(name);
        AllMusic.side.sendMessage(sender, AllMusic.getMessage().musicPlay.stopPlaying);
    }
}
