package io.github.thehrz.allmusicreload.core.objs.music;

import io.github.thehrz.allmusicreload.core.AllMusic;
import io.github.thehrz.allmusicreload.core.objs.message.PAL;

public class LyricItemObj {
    public String lyric;
    public String tlyric;

    public LyricItemObj(String lyric, String tlyric) {
        this.lyric = lyric;
        this.tlyric = tlyric;
    }

    public String getString() {
        if (lyric == null || lyric.isEmpty())
            return "";
        String data;
        if (tlyric != null && !tlyric.isEmpty()) {
            data = AllMusic.getMessage().lyric.tdata;
            return data.replace(PAL.lyric, lyric)
                    .replace(PAL.tlyric, tlyric);
        }

        data = AllMusic.getMessage().lyric.data;
        return data.replace(PAL.lyric, lyric);
    }
}
